Dudley.h File Reference
`#include <escript/DataTypes.h>`
`#include <dudley/DudleyException.h>`
`#include <escript/Data.h>`
`#include <escript/EsysMPI.h>`

Go to the source code of this file.

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.

## Macros

#define | DUDLEY_UNKNOWN -1
#define | DUDLEY_DEGREES_OF_FREEDOM 1
#define | DUDLEY_NODES 3
#define | DUDLEY_ELEMENTS 4
#define | DUDLEY_FACE_ELEMENTS 5
#define | DUDLEY_POINTS 6
#define | DUDLEY_REDUCED_ELEMENTS 10
#define | DUDLEY_REDUCED_FACE_ELEMENTS 11
#define | DUDLEY_INITIAL_STATUS 0

## Enumerations

enum | { dudley::DegreesOfFreedom = 1, dudley::Nodes = 3, dudley::Elements = 4, dudley::ReducedElements = 10, dudley::FaceElements = 5, dudley::ReducedFaceElements = 11, dudley::Points = 6 }

## Functions

bool | dudley::hasReducedIntegrationOrder (const escript::Data &in)

## Macro Definition Documentation

## DUDLEY_DEGREES_OF_FREEDOM

#define DUDLEY_DEGREES_OF_FREEDOM 1

## DUDLEY_ELEMENTS

#define DUDLEY_ELEMENTS 4

## DUDLEY_FACE_ELEMENTS

#define DUDLEY_FACE_ELEMENTS 5

## DUDLEY_INITIAL_STATUS

#define DUDLEY_INITIAL_STATUS 0

## DUDLEY_NODES

#define DUDLEY_NODES 3

## DUDLEY_POINTS

#define DUDLEY_POINTS 6

## DUDLEY_REDUCED_ELEMENTS

#define DUDLEY_REDUCED_ELEMENTS 10

## DUDLEY_REDUCED_FACE_ELEMENTS

#define DUDLEY_REDUCED_FACE_ELEMENTS 11

## DUDLEY_UNKNOWN

#define DUDLEY_UNKNOWN -1